Yandex Cloud
Документация
ПрезентацияСвязаться с намиНачать бесплатно
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex StoreDoc
RU
  • Начало работы
  • Управление доступом
  • Инспекции и рекомендации
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
        • GrantPermission
        • RevokePermission
  • Справочник метрик
  • Аудитные логи Audit Trails
  • Публичные материалы
  • История изменений
  • Обучающие курсы

В этой статье:

  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • User
  • Permission
  • ConnectionManager
  1. Справочник API
  2. REST (англ.)
  3. User
  4. List

Managed Service for MongoDB API, REST: User.List

Статья создана
Yandex Cloud
Обновлена 7 октября 2026 г.
Открыть в Markdown
  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • User
  • Permission
  • ConnectionManager

Retrieves the list of StoreDoc User resources in the specified cluster.

HTTP requestHTTP request

GET https://mdb.api.cloud.yandex.net/managed-mongodb/v1/clusters/{clusterId}/users

Path parametersPath parameters

Field

Description

clusterId

string

Required field. ID of the cluster to list StoreDoc users in.
To get the cluster ID, use a ClusterService.List request.

The maximum string length in characters is 50.

Query parametersQuery parameters

Field

Description

pageSize

string (int64)

The maximum number of results per page to return. If the number of available
results is larger than pageSize, the service returns a ListUsersResponse.nextPageToken
that can be used to get the next page of results in subsequent list requests.

Acceptable values are 0 to 1000, inclusive.

pageToken

string

Page token. To get the next page of results, set pageToken to the
ListUsersResponse.nextPageToken returned by the previous list request.

The maximum string length in characters is 100.

ResponseResponse

HTTP Code: 200 - OK

{
  "users": [
    {
      "name": "string",
      "clusterId": "string",
      "permissions": [
        {
          "databaseName": "string",
          "roles": [
            "string"
          ]
        }
      ],
      "connectionManager": {
        "connectionId": "string"
      },
      "authType": "string",
      "deletionProtection": "boolean"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

users[]

User

List of StoreDoc User resources.

nextPageToken

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListUsersRequest.pageSize, use the nextPageToken as the value
for the ListUsersRequest.pageToken parameter in the next list request. Each subsequent
list request will have its own nextPageToken to continue paging through the results.

UserUser

A StoreDoc User resource. For more information, see the
Developer's Guide.

Field

Description

name

string

Name of the StoreDoc user.

clusterId

string

ID of the StoreDoc cluster the user belongs to.

permissions[]

Permission

Set of permissions granted to the user.

connectionManager

ConnectionManager

Connection Manager connection configuration.

authType

enum (AuthType)

Authentication type for the user.

  • AUTH_TYPE_PASSWORD: Password-based authentication (SCRAM).
  • AUTH_TYPE_IAM: IAM-based authentication via iam-auth-proxy (SASL/PLAIN, $external).

deletionProtection

boolean

Deletion Protection inhibits deletion of the user.

PermissionPermission

Field

Description

databaseName

string

Name of the database that the permission grants access to.

roles[]

string

StoreDoc roles for the databaseName database that the permission grants.

ConnectionManagerConnectionManager

Connection Manager connection configuration.

Field

Description

connectionId

string

ID of Connection Manager connection.

Была ли статья полезна?

Предыдущая
Get
Следующая
Create
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»